[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'DBCtrls' (#lcl)

# TDBLookupListBox.UpdateData

Updates the data in the lookup dataset for the control.

## Declaration

Source position: dbctrls.pp line 489

`protected procedure TDBLookupListBox.UpdateData(`
`Sender: TObject`
`); override;`

## Arguments

`Sender` |  | Object for the event notification.

## Description

UpdateData is an overridden procedure in TDBLookupListBox. It implements the abstract virtual method defined in the ancestor class. UpdateData uses the value in ItemIndex to update the internal TDBLookup instance for the control. When ItemIndex contains a positive non-zero value, the UpdateData method in TDBLookup is called to apply the ItemIndex value.

Remark: | No actions are performed in the method when ItemIndex contains a negative non-zero value.

UpdateData is called from the DoSelectionChange method when IsUnbound returns True.

## See also

TDBLookupListBox.IsUnbound |  | Indicates if the control is being used in the "unbound" mode.
TDBLookup.UpdateData |  | Signals the OnUpdateData event handler for pending changes to the linked dataset.
TCustomDBListBox.UpdateData |  | UpdateData - method for applying any pending changes to the data.
TCustomListBox.ItemIndex |  | Ordinal position for the currently selected item, -1 if none.